cURL
curl --request GET \
--url https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tailimport requests
url = "https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"sessionLogs": {
"enabled": true,
"isRecordable": true,
"sessionKey": "<string>",
"disabledReason": "off",
"storageType": "default"
},
"chunks": [
{
"chunkId": "<string>",
"proxyId": "<string>",
"ciphertextBytes": 123,
"presignedGetUrl": "<string>"
}
],
"nextCursor": "<string>"
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Tail session logs
Lists chunks added since your last call. Call it every few seconds with the previous nextCursor. Any call can return a chunk you already have, so skip any whose chunkId and proxyId you’ve read. The chunks decrypt the same way as the ones from the endpoint that lists session logs. If Infisical can’t read session logs, the request fails with the error AgentVaultSessionLogStorageUnavailable.
GET
/
api
/
v1
/
agent-vault
/
sessions
/
{sessionId}
/
logs
/
tail
cURL
curl --request GET \
--url https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tailimport requests
url = "https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.infisical.com/api/v1/agent-vault/sessions/{sessionId}/logs/tail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"sessionLogs": {
"enabled": true,
"isRecordable": true,
"sessionKey": "<string>",
"disabledReason": "off",
"storageType": "default"
},
"chunks": [
{
"chunkId": "<string>",
"proxyId": "<string>",
"ciphertextBytes": 123,
"presignedGetUrl": "<string>"
}
],
"nextCursor": "<string>"
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Path Parameters
The ID of the session.
Query Parameters
The nextCursor from your last call. Leave it out on the first call to start from the most recent chunks.
Maximum string length:
8192Response
Default Response
Was this page helpful?